
// ReversiView.h : CReversiView クラスのインターフェイス
//

#pragma once


class CReversiView : public CView
{
protected: // シリアル化からのみ作成します。
	CReversiView();
	DECLARE_DYNCREATE(CReversiView)

// 属性
public:
	CReversiDoc* GetDocument() const;

// 操作
public:

// オーバーライド
public:
	virtual void OnDraw(CDC* pDC);  // このビューを描画するためにオーバーライドされます。
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	void InitBoard(void);
	void DrawBoad(CDC* pDC);
	int m_Board[MASU_NUM][MASU_NUM];

// 実装
public:
	virtual ~CReversiView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成された、メッセージ割り当て関数
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // ReversiView.cpp のデバッグ バージョン
inline CReversiDoc* CReversiView::GetDocument() const
   { return reinterpret_cast<CReversiDoc*>(m_pDocument); }
#endif

